Page MenuHomePhabricator

Error: Call to undefined method MobileContext::getConfigVariable()
Closed, InvalidPublic

Description

When I'm migrate to MW 1.31-rc.0, I got:
Error logs:

[Thu May 03 16:35:47.430840 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: PHP Fatal error:  Uncaught Error: Call to undefined method MobileContext::getConfigVariable() in /srv/mediawiki-1.31-rc.0/w/skins/MinervaNeue/includes/Minerva.hooks.php:139, referer: <URL>
[Thu May 03 16:35:47.430870 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: Stack trace:, referer: <URL>                                                                         [Thu May 03 16:35:47.430873 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #0 /srv/mediawiki-1.31-rc.0/w/includes/Hooks.php(177): MinervaHooks::onRequestContextCreateSkinMobile(Object(MobileContext), Object(SkinMinerva)), referer: <URL>
[Thu May 03 16:35:47.430875 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #1 /srv/mediawiki-1.31-rc.0/w/includes/Hooks.php(205): Hooks::callHook('RequestContextC...', Array, Array, NULL), referer: <URL>
[Thu May 03 16:35:47.430878 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #2 /srv/mediawiki-1.31-rc.0/w/extensions/MobileFrontend/includes/MobileFrontend.hooks.php(133): Hooks::run('RequestContextC...', Array), referer: <URL>
[Thu May 03 16:35:47.430891 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #3 /srv/mediawiki-1.31-rc.0/w/includes/Hooks.php(177): MobileFrontendHooks::onRequestContextCreateSkin(Object(RequestContext), Object(SkinMinerva)), referer: <URL>
[Thu May 03 16:35:47.430893 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #4 /srv/mediawiki-1.31-rc.0/w/includes/Hooks.php(205): Hooks::callHook('RequestContextC...', Array, Array, NULL), referer: <URL>
[Thu May 03 16:35:47.430896 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #5 /srv/mediawiki-1.31-rc.0/w/includes/context/RequestContext.php(374): Hooks::run('RequestContextC...', Array), referer: <URL>
[Thu May 03 16:35:47.430898 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #6 /srv/mediawiki-1.31-rc.0/w/includes/context/ContextSource.php(137): RequestContext->getSkin(), referer: <URL>
[Thu May 03 16:35:47.430900 2018] [fcgid:warn] [pid 6062:tid 140348827318016] [client <IP>:7078] mod_fcgid: stderr: #7 /srv/mediawiki-1.31-rc.0/ in /srv/mediawiki-1.31-rc.0/skins/MinervaNeue/includes/Minerva.hooks.php on line 139, referer: <URL>

Steps to reproduce:

  1. Install MinervaNeue skin and MobileFrontend extension
  2. Set
wfLoadExtension( 'MobileFrontend' );
$wgMFAutodetectMobileView = true;
wfLoadSkin( 'MinervaNeue' );
$wgMFDefaultSkinClass = "SkinMinerva";

to your LocalSettings.php.

  1. Access mobile view and the error will be occur.

Event Timeline

RazeSoldier updated the task description. (Show Details)May 3 2018, 8:53 AM
RazeSoldier updated the task description. (Show Details)May 3 2018, 9:34 AM
RazeSoldier closed this task as Invalid.May 3 2018, 9:46 AM

Sorry, this proved to be my fault, I did not upgrade MinervaNeue skin.

Vvjjkkii renamed this task from Error: Call to undefined method MobileContext::getConfigVariable() to aqdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from aqdaaaaaaa to Error: Call to undefined method MobileContext::getConfigVariable().Jul 1 2018, 7:29 AM
CommunityTechBot closed this task as Invalid.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:04 AM